using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Predictalytics.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddTradeUsdcOutcomeIndexAndCategoryTotalInvested : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "OutcomeIndex",
                table: "Trades",
                type: "int",
                nullable: true);

            migrationBuilder.AddColumn<decimal>(
                name: "UsdcSize",
                table: "Trades",
                type: "decimal(18,6)",
                nullable: true);

            migrationBuilder.AddColumn<decimal>(
                name: "TotalInvested",
                table: "TraderCategoryPerformances",
                type: "decimal(65,30)",
                nullable: false,
                defaultValue: 0m);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "OutcomeIndex",
                table: "Trades");

            migrationBuilder.DropColumn(
                name: "UsdcSize",
                table: "Trades");

            migrationBuilder.DropColumn(
                name: "TotalInvested",
                table: "TraderCategoryPerformances");
        }
    }
}
